### YamlMime:ManagedReference
items:
- uid: Voile.Resources.IResourceSaver`1
  commentId: T:Voile.Resources.IResourceSaver`1
  id: IResourceSaver`1
  parent: Voile.Resources
  children:
  - Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  langs:
  - csharp
  - vb
  name: IResourceSaver<T>
  nameWithType: IResourceSaver<T>
  fullName: Voile.Resources.IResourceSaver<T>
  type: Interface
  source:
    remote:
      path: Voile/Source/Resources/Savers/IResourceSaver.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IResourceSaver
    path: Source/Resources/Savers/IResourceSaver.cs
    startLine: 2
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: 'public interface IResourceSaver<T> where T : Resource'
    typeParameters:
    - id: T
    content.vb: Public Interface IResourceSaver(Of T As Resource)
  nameWithType.vb: IResourceSaver(Of T)
  fullName.vb: Voile.Resources.IResourceSaver(Of T)
  name.vb: IResourceSaver(Of T)
- uid: Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  commentId: M:Voile.Resources.IResourceSaver`1.TrySave(System.String,`0@)
  id: TrySave(System.String,`0@)
  parent: Voile.Resources.IResourceSaver`1
  langs:
  - csharp
  - vb
  name: TrySave(string, in T)
  nameWithType: IResourceSaver<T>.TrySave(string, in T)
  fullName: Voile.Resources.IResourceSaver<T>.TrySave(string, in T)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Savers/IResourceSaver.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TrySave
    path: Source/Resources/Savers/IResourceSaver.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: bool TrySave(string path, in T resource)
    parameters:
    - id: path
      type: System.String
    - id: resource
      type: '{T}'
    return:
      type: System.Boolean
    content.vb: Function TrySave(path As String, resource As T) As Boolean
  overload: Voile.Resources.IResourceSaver`1.TrySave*
  nameWithType.vb: IResourceSaver(Of T).TrySave(String, T)
  fullName.vb: Voile.Resources.IResourceSaver(Of T).TrySave(String, T)
  name.vb: TrySave(String, T)
references:
- uid: Voile.Resources
  commentId: N:Voile.Resources
  href: Voile.html
  name: Voile.Resources
  nameWithType: Voile.Resources
  fullName: Voile.Resources
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
- uid: Voile.Resources.IResourceSaver`1.TrySave*
  commentId: Overload:Voile.Resources.IResourceSaver`1.TrySave
  href: Voile.Resources.IResourceSaver-1.html#Voile_Resources_IResourceSaver_1_TrySave_System_String__0__
  name: TrySave
  nameWithType: IResourceSaver<T>.TrySave
  fullName: Voile.Resources.IResourceSaver<T>.TrySave
  nameWithType.vb: IResourceSaver(Of T).TrySave
  fullName.vb: Voile.Resources.IResourceSaver(Of T).TrySave
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: T
  name: T
  nameWithType: T
  fullName: T
